/*   start fonts  */
@font-face {
  font-family: "Raleway-regular";
  src: url("../fonts/Raleway-Regular.ttf");
}
@font-face {
  font-family: "Raleway-medium";
  src: url("../fonts/Raleway-Medium.ttf");
}
@font-face {
  font-family: "Raleway-bold";
  src: url("../fonts/Raleway-Bold.ttf");
}
@font-face {
  font-family: "Raleway-semibold";
  src: url("../fonts/Raleway-SemiBold.ttf");
}
@font-face {
  font-family: "Raleway-black";
  src: url("../fonts/Raleway-Black.ttf");
}
@font-face {
  font-family: "Raleway-extrabold";
  src: url("../fonts/Raleway-Extrabold.ttf");
}
@font-face {
  font-family: "OpenSans-Semibold";
  src: url("../fonts/OpenSans-Semibold.ttf");
}
@font-face {
  font-family: "OpenSans-Regular";
  src: url("../fonts/OpenSans-Regular.ttf");
}
/*   End fonts  */
body {
  font-family: Raleway-regular;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --primary: #eebf00;
  --secondary: #232b38;
  --ternary: #6c6c6c;
  --danger: #fe4545;
  --pure: #efefef;
  --light: #f0f0f0;
  --heaven: #ffffff;
  --footer: #2d333f;
}
.text-pure {
  color: var(--pure);
}
@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}
@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}
@media (min-width: 1200px) {
  .container {
    max-width: 1152px;
  }
}
/* --- flex start ----*/
.flex-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.flex {
  display: flex;
}
.flex-1 {
  flex: 1;
}
.wrap {
  flex-wrap: wrap;
}
.justify-between {
  justify-content: space-between;
}
.justify-center {
  justify-content: center;
}
.items-center {
  align-items: center;
}
/* --- flex end ----*/
.container {
  width: 100%;
  padding: 0 15px;
  margin: 0 auto;
}
header.topbar {
  background-color: var(--secondary);
  color: var(--pure);
  font-family: Raleway-semibold;
  padding: 0.8rem;
}
header.topbar .auth > div a {
  color: var(--pure);
  text-decoration: none;
}
/*==============================*/
header.topbar .icons-2 a {
  text-decoration: none;
  list-style-type: none;
  margin-right: 1rem;
}
header.topbar .icons-2 a #facebook:hover,
#twitter:hover,
#google:hover,
#instagram:hover,
#search:hover {
  fill: var(--primary);
}
header.topbar .icons-2 a #facebook {
  transition: all 0.4s ease-out 0s;
  transform: rotateY(0deg);
}
header.topbar .icons-2 a:hover #facebook {
  transform: rotateY(180deg);
}
/*==============================*/

header.topbar .icons a {
  margin-right: 0.6rem;
}
header.topbar .icons a img {
  transition: all 0.5s ease;
}
header.topbar .icons a img:hover {
  transform: rotateY(180deg);
}
header.topbar .auth .divider {
  margin: 0 1rem;
}
header.topbar .auth > div img {
  margin-right: 0.35rem;
}
nav .top .contact img,
nav .top .times img {
  margin-right: 0.5rem;
}
nav .top .contact h5,
nav .top .times h5 {
  font-family: Raleway-black;
  margin-bottom: 0.25rem;
  font-size: 1rem;
}
nav .top .contact h6,
nav .top .times h6 {
  font-family: Raleway-medium;
  font-size: 0.75rem;
  letter-spacing: 0.055rem;
  color: var(--ternary);
}
nav .top {
  margin: 2rem;
}
nav .navbar a {
  text-decoration: none;
  padding: 1rem 1.5rem;
  color: var(--secondary);
  font-family: Raleway-semibold;
  font-size: 1rem;
  transition: all 0.3s ease;
}
nav .navbar a.active {
  background-color: var(--primary);
  color: var(--pure);
}
nav .navbar a:hover {
  background-color: var(--primary);
  color: var(--pure);
}

nav .navbar .dropdown-container {
  display: inline;
  position: relative;
  top: 15px;
}
nav .navbar .dropdown-container:hover .dropdown-content {
  display: block;
}
nav .navbar .dropdown-content {
  position: absolute;
  top: 30px;
  text-align: left;
  min-width: 100px;
  display: none;
}
nav .navbar .dropdown-content a {
  display: block;
}
.magic-shadow {
  position: relative;
  background-color: var(--heaven);
}

.magic-shadow:after {
  content: "";
  position: absolute;
  background: url("../icons/shadow.svg") no-repeat center;
  display: block;
  width: 100%;
  height: 69px;
  z-index: -1;
  bottom: -22px;
}
.magic-shadow-sm {
  position: relative;
  background-color: var(--heaven);
}
.magic-shadow-sm:after {
  content: "";
  position: absolute;
  background: url("../icons/shadow-sm.svg") no-repeat center;
  display: block;
  width: 100%;
  height: 69px;
  z-index: -1;
  bottom: -28px;
  left: 50%;
  transform: translateX(-50%);
}
header.hero {
  min-height: 600px;
  background-image: url("../images/hero.png");
  background-repeat: no-repeat;
  background-position: 0% 0%;
  overflow: hidden;
}
header.hero .container {
  position: relative;
}
header.hero .welcome span {
  font-family: Raleway-bold;
  color: var(--secondary);
  margin-right: 0.75rem;
}
header.hero h1 {
  font-family: Raleway-extrabold;
  font-size: 2.5rem;
  color: var(--secondary);
  margin: 0.35rem 0;
}
header.hero h1 span {
  color: var(--primary);
}
header.hero p {
  font-family: Raleway-medium;
  width: 50%;
  line-height: 1.5;
  margin-bottom: 1rem;
}
header.hero button:first-child {
  margin-right: 0.5rem;
}
header.hero .hero-image {
  position: absolute;
  top: -40px;
  right: 40px;
}
.btn {
  padding: 0.75rem;
  border: 1px solid transparent;
  border-radius: 4px;
  font-size: 1rem;
  cursor: pointer;
  transition: all 0.3s ease;
  outline: none;
}
.btn-primary {
  background-color: var(--primary);
  color: var(--heaven);
}
.btn-primary:hover {
  background-color: var(--heaven);
  color: var(--primary);
  border: 1px solid var(--primary);
}
.btn-primary:focus {
  background-color: var(--heaven);
  color: var(--primary);
  border: 1px solid var(--primary);
}
.btn-secondary {
  background-color: var(--secondary);
  color: var(--heaven);
}
.btn-secondary:hover {
  background-color: var(--heaven);
  color: var(--secondary);
  border: 1px solid var(--secondary);
}
.btn-secondary:focus {
  background-color: var(--heaven);
  color: var(--secondary);
  border: 1px solid var(--secondary);
}
.btn-outline {
  background: none;
  color: var(--primary);
  border: 1px solid var(--primary);
}
.btn-outline:hover {
  background-color: var(--primary);
  color: var(--heaven);
}
/*-- Start Top Products--*/
section {
  padding: 4rem 0;
}
/* Utility Class */
.section_bg {
  background-color: var(--light);
  z-index: 0;
  position: relative;
}
.section-heading {
  font-family: Raleway-bold;
  text-align: center;
  position: relative;
  margin-bottom: 6rem;
}
.section-heading:after {
  content: "";
  height: 30px;
  width: 100%;
  display: block;
  background-image: url("../icons/hr.svg");
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  bottom: -40px;
}
section.top-products .food-slider {
  margin-right: -2rem;
}
section.top-products .food-slider .food-card {
  background-color: var(--heaven);
  text-align: center;
  padding: 1rem 0;
  margin-right: 2rem;
  border-radius: 8px;
  position: relative;
}
section.top-products .food-slider .food-card .product-image img {
  width: 80%;
  object-fit: contain;
}
.hr {
  background-color: var(--light);
  display: block;
  height: 3px;
  width: 100%;
  margin: 1rem 0;
  opacity: 0.8;
}
section.top-products .food-slider .food-card h2 {
  font-family: Raleway-bold;
  font-size: 1.3rem;
  margin-bottom: 0.5rem;
}
/* Utility Class */
.text-center {
  text-align: center;
}
section.top-products .food-slider .food-card .stars img {
  margin-right: 0.25rem;
}
section.top-products .food-slider .food-card .price {
  font-family: Raleway-bold;
  color: var(--danger);
  margin: 1rem 0;
  font-size: 1.5rem;
}
section.top-products .food-slider .food-card button {
  font-family: Raleway-medium;
  color: var(--secondary);
  background-color: var(--heaven);
  border: 2px solid var(--primary);
  border-radius: 4px;
  outline: none;
  display: flex;
  align-items: center;
  font-size: 1rem;
  width: 50%;
  cursor: pointer;
  transition: all 0.3s ease;
}
section.top-products .food-slider .food-card button:hover {
  background-color: var(--primary);
  color: var(--heaven);
}
section.top-products .food-slider .food-card button img {
  background-color: var(--primary);
  padding: 0.5rem;
  height: 32px;
  margin-right: 0.5rem;
}
section.top-products .slider {
  position: relative;
}
/* Utility Class */
.slider-btn {
  width: 30px;
  height: 30px;
  background-color: var(--primary);
  border: none;
  border-radius: 4px;
  outline: none;
  cursor: pointer;
}
.prev-btn {
  position: absolute;
  top: 50%;
  left: -3rem;
  z-index: 1;
}
.next-btn {
  position: absolute;
  top: 50%;
  right: -3rem;
  z-index: 1;
}
/* Utility Class */
.btn-wrappr {
  text-align: center;
  margin-top: 2rem;
}
section.about-meal img {
  width: 85%;
}
section.about-meal h2 {
  font-family: Raleway-bold;
  font-size: 1.5rem;
  color: var(--secondary);
  margin-bottom: 2rem;
  line-height: 1.3;
}
section.about-meal p {
  color: var(--ternary);
  margin-bottom: 2rem;
  line-height: 1.5;
  text-align: justify;
}

/*======================
Service Card Section
========================*/

section.our-services .service-card-wrapper {
  margin-top: 8rem;
  margin-right: -2rem;
}
section.our-services .service-card {
  background-color: var(--heaven);
  text-align: center;
  padding: 4rem 1rem 1rem 1rem;
  margin-right: 2rem;
  border-radius: 8px;
  position: relative;
}

section.our-services .service-card .icon {
  position: absolute;
  top: -45px;
  left: 50%;
  transform: translateX(-50%);
}
section.our-services .service-card h2 {
  font-family: Raleway-bold;
  font-size: 1.3rem;
  margin-bottom: 1rem;
}
section.our-services .service-card .text-primary {
  color: var(--primary);
}
section.our-services .service-card p {
  line-height: 1.6;
  margin-bottom: 1rem;
}
/*======================
summar Banner Section
========================*/

section.summaryBanner {
  min-height: 400px;
  background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url(../images/food-table.jpg);
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
}
section.summaryBanner .timer {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: -2rem;
}
section.summaryBanner .timer > div {
  background-color: var(--primary);
  width: 120px;
  height: 120px;
  border-radius: 4px;
  margin-right: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
section.summaryBanner .timer span:first-child {
  font-family: OpenSans-Semibold;
  font-size: 2.5rem;
  color: var(--heaven);
}
section.summaryBanner .timer span:last-child {
  font-family: OpenSans-Regular;
  color: var(--heaven);
}
/* =====================
======================== */
section.latest-news .card img {
  width: 100%;
}
section.latest-news .article-wrapper {
  margin-right: -2rem;
}
section.latest-news .card {
  margin-right: 2rem;
  background-color: var(--heaven);
  border-radius: 4px;
}
section.latest-news .card .card-content {
  padding: 2rem;
}
section.latest-news .card .card-content h2 {
  font-family: Raleway-bold;
  font-size: 1.3rem;
  margin-top: 1rem;
  margin-bottom: 0.8rem;
}
section.latest-news .card .card-content p {
  text-align: justify;
  line-height: 1.5;
}
section.latest-news .card .card-content .comment-count {
  margin-left: 1rem;
}
/* =========================
============================ */
section.subscribe {
  background-color: var(--primary);
}
section.subscribe .container > div:first-child img {
  width: 90%;
}
section.subscribe .container > div:first-child {
  flex: 1;
}
section.subscribe .container > div:last-child {
  flex: 1;
}
section.subscribe h3 {
  font-family: Raleway-bold;
  font-size: 1.5rem;
  color: var(--secondary);
  margin-bottom: 2rem;
  line-height: 1.3;
}
section.subscribe p {
  font-family: Raleway-medium;
  font-size: 1rem;
  margin-bottom: 2rem;
  line-height: 1.5;
  text-align: justify;
}
section.subscribe .input-wrap {
  background-color: var(--heaven);
  display: flex;
  padding: 0.25rem;
  border-radius: 4px;
}
section.subscribe .input-wrap input {
  width: 100%;
  border: none;
  font-size: 1rem;
  outline: none;
  padding: 0 1rem;
}

/* =======================
contact-us
========================== */

section.contact-us {
  padding: 0;
}
section.contact-us .contact-info-wrapper {
  padding: 4rem 0;
}
section.contact-us .contact-info > div > div {
  display: flex;
  align-items: center;
  margin-bottom: 2rem;
}
section.contact-us .contact-info > div > div img {
  margin-right: 1rem;
}
section.contact-us .contact-info > div > div > div {
  display: flex;
  flex-direction: column;
}
section.contact-us .contact-info > div > div > div span:first-child {
  font-family: Raleway-bold;
  margin-bottom: 0.25rem;
}
section.contact-us .map img {
  width: 100%;
  height: 100%;
}
/* ===========footer============== */
footer {
  background-color: var(--footer);
  padding: 4rem 0;
}
footer .container {
  display: flex;
  color: var(--pure);
}
footer .box {
  flex: 1;
  text-align: center;
  margin-right: 2rem;
}
footer .box:nth-child(4) {
  margin-right: 0;
}
footer .instagram-api img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
footer .instagram-api .post-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
footer .instagram-api .post-wrapper > div {
  width: calc(1 / 3 * 100% - (1 - 1 / 3) * 10px);
  margin-bottom: 10px;
}
footer .box ul {
  list-style-type: none;
}
footer .box ul li a {
  color: var(--pure);
  text-decoration: none;
  transition: all 0.3s ease;
}
footer .box ul li a:hover {
  color: var(--primary);
}
footer .box ul li {
  margin-bottom: 1rem;
}
footer .box h3 {
  border-bottom: 1px solid var(--primary);
  padding-bottom: 1rem;
  margin-bottom: 1rem;
}
footer .box p {
  line-height: 1.5;
  margin-bottom: 1rem;
}
footer .box:nth-child(3) {
  text-align: left;
}
footer .box:nth-child(3) h3 {
  text-align: center;
}
footer .box:nth-child(3) div {
  display: flex;
  justify-content: center;
}
footer .box:nth-child(3) div img {
  margin-right: 1rem;
}
footer .box:nth-child(3) div ul li {
  margin-bottom: 1.5rem;
}
footer.copyright {
  background-color: var(--secondary);
  text-align: center;
  color: var(--heaven);
  padding: 1rem 0;
  font-size: 0.75rem;
}
footer.copyright div a {
  color: var(--primary);
  text-decoration: none;
}
/* Start Mobile devise    */
.main-wrapper {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}
.nav-background {
  background-color: var(--light);
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  padding: 0;
  z-index: 1;
}
.nav-background .mobile-logo {
  padding: 1rem;
}
.nav-background .mobile-nav ul {
  list-style-type: none;
}
.nav-background .mobile-nav ul li {
  margin-bottom: 1rem;
}
.nav-background .mobile-nav ul li a {
  text-decoration: none;
  font-family: Raleway-bold;
  color: var(--secondary);
  transition: all 0.3s ease;
}
.nav-background .mobile-nav ul li a:hover {
  color: var(--primary);
}
.nav-background .mobile-nav {
  padding: 1rem;
}
.nav-background .cart {
  margin-bottom: 2rem;
}
.nav-background .cart a {
  text-decoration: none;
  color: var(--secondary);
  font-family: Raleway-bold;
}
.nav-background .cart img {
  margin-right: 0.5rem;
  width: 20px;
  height: 20px;
}
.nav-background .nav-contact,
.nav-background .nav-time {
  padding: 1rem 0;
}
.nav-background .nav-contact img,
.nav-background .nav-time img {
  margin-right: 0.75rem;
}
.nav-background .nav-contact h5,
.nav-background .nav-time h5 {
  font-family: Raleway-bold;
  font-size: 1rem;
  margin-bottom: 0.25rem;
}
.nav-background .nav-contact h6,
.nav-background .nav-time h6 {
  font-size: 0.75rem;
}
.nav-trigger {
  position: absolute;
  top: 0;
  left: 0;
  padding: 15px;
  z-index: 1;
  display: none;
}
.site-content-wrap {
  background-color: var(--heaven);
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 2;
  transition: all 0.3s ease;
}
.site-content-wrap.scaled {
  transform: scale(0.9) translateX(90%);
  border-radius: 4px;
  box-shadow: 0 3px 10px 0 var(--secondary);
}
.site-content {
  width: 100%;
  height: 100%;
  overflow-x: auto;
}
@media (max-width: 992px) {
  .nav-trigger {
    display: block;
  }
  header.topbar,
  nav {
    display: none;
  }
  header.hero {
    margin-top: -4rem;
  }
  header.hero .hero-image {
    right: -160px;
    top: 100px;
  }
  section.top-products .slider .slider-btn {
    display: none;
  }
  section.top-products .food-card:last-child {
    display: none;
  }
  section.latest-news .article-wrapper {
    flex-direction: column;
  }
  section.latest-news .article-wrapper .card:first-child {
    margin-bottom: 4rem;
  }
  footer .instagram-api .post-wrapper > div {
    width: calc(1 / 2 * 100% - (1 - 1 / 3) * 10px);
    margin-bottom: 10px;
  }
}
@media (max-width: 768px) {
  section.our-services .service-card:last-child {
    display: none;
  }
  section.about-meal .about-meal-wrap {
    flex-direction: column;
  }
  section.about-meal .about-meal-wrap img {
    width: 100%;
    margin-bottom: 2rem;
  }
  section.about-meal .about-meal-wrap:last-child {
    padding: 0 4rem;
  }
  section.subscribe .container {
    flex-direction: column;
  }
}
